Redmine - Patch #31705

Add missing fixtures to AttachmentFormatVisibilityTest
2019-07-10 10:28 - Yuichi HARADA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Code cleanup/refactoring Estimated time: 0.00 hour
Target version: 4.1.0

Description

The test has failed.
https://www.redmine.org/builds/logs/build_trunk_sqlite3_ruby-2.6 456.html

E

Error:
AttachmentFormatVisibilityTest#test_attachment_should_be_visible_with_visible_custom_field:
ActiveRecord: :RecordNotUnique: SQLite3::ConstraintException: UNIQUE constraint failed: custom_fiel
ds_trackers.custom_field_id, custom_fields_trackers.tracker_id: INSERT INTO "custom_fields_tracker
s" ("custom_field_id", "tracker_id") VALUES (?, ?)

test/object_helpers.rb:204:in "generate!'

test/object_helpers.rb:209:in “generate!'

test/unit/lib/redmine/field_format/attachment_format_visibility_test.rb:36:in "“test_attachment
_should_be_visible_with_visible_custom_field'

bin/rails test test/unit/lib/redmine/field_format/attachment_format_visibility_test.rb:35
E

Error:
AttachmentFormatVisibilityTest#test_attachment_should_be_visible_with_limited_visibility_custom_fi
eld:
ActiveRecord: :RecordNotUnique: SQLite3::ConstraintException: UNIQUE constraint failed: custom_fiel
ds_trackers.custom_field_id, custom_fields_trackers.tracker_id: INSERT INTO "custom_fields_tracker
s" ("custom_field_id", "tracker_id") VALUES (?, ?)

test/object_helpers.rb:204:in "generate!'

test/object_helpers.rb:209:in "generate!'

test/unit/lib/redmine/field_format/attachment_format_visibility_test.rb:50:in "“test_attachment
_should_be_visible_with_limited_visibility_custom_field'

bin/rails test test/unit/lib/redmine/field_format/attachment_format_visibility_test.rb:49
| think that because the fixtures is not enough.

diff --git a/test/unit/lib/redmine/field_format/attachment_format_visibility_test.rb b/test/unit/1
ib/redmine/field_format/attachment_format_visibility_test.rb
index b648acllf..c9fee583a 100644
-—— a/test/unit/lib/redmine/field_format/attachment_format_visibility_test.rb
+++ b/test/unit/lib/redmine/field_format/attachment_format_visibility_test.rb
@@ -25,6 +25,7 @@ class AttachmentFormatVisibilityTest < ActionView::TestCase
:roles, :members, :member_roles,
:users, :email_addresses,
:trackers, :issue_statuses, :enumerations, :issue_categories,
+ :custom_fields, :custom_fields_trackers,
:versions, :issues

def setup

Associated revisions

Revision 18327 - 2019-07-12 09:26 - Go MAEDA
Add missing fixtures in AttachmentFormatVisibilityTest (#31705).
Patch by Yuichi HARADA.

History

#1 - 2019-07-12 09:26 - Go MAEDA
- Status changed from New to Closed
- Assignee set to Go MAEDA

- Target version set to 4.1.0

Committed the patch. Thank you.
